GAMMU-SMSD(1)

NAME
gammu-smsd - SMS daemon for Gammu

SYNOPSIS
gammu-smsd [OPTION]...

DESCRIPTION
This manual page documents briefly the gammu-smsd command.

gammu-smsd is a program that periodically scans GSM modem for received messages, stores them in defined storage and also sends messages enqueued in this storage.

The daemon can reload configuration file after sending hangup signal (SIGHUP) and properly terminates itself on SIGINT and SIGTERM.

Program accepts following options (please note that long options might be not accepted on some platforms):

-h, --help
    Shows help.

-v, --version
    Shows version information and compiled in features.

-c, --config=file
    Configuration file to use, default is /etc/gammu-smsdrc, on Windows there is no default and configuration file path has to be always specified.

-p, --pid=file
    Lock file for storing pid, empty for no locking. Not supported on Windows.

-U, --user=user
    Drop daemon privileges to chosed user after starting.

-G, --group=group
    Drop daemon privileges to chosen group after starting.

-d, --daemon
    Daemonize program on startup. Not supported on Windows.

-i, --install-service
    Installs SMSD as a Windows service.

-u, --uninstall-service
    Uninstalls SMSD as a Windows service.

-s, --start-service
    Starts SMSD Windows service.

-k, --stop-service
    Stops SMSD Windows service.

-X, --suicide=seconds
    Kills itself after number of seconds.

-S, --run-service
    Runs pogram as SMSD Windows service. This should not be used manually, but only Windows Service manager should use this command.

-n, --service-name=name
    Defines name of a Windows service. Each service requires an unique name, so if you want to run several SMSD instances, you have to name each service differently. Default is "GammuSMSD".

EXAMPLE

  Linux/Unix Examples

Start SMSD as a deamon on Linux:
    gammu-smsd --config /etc/gammu-smsdrc --pid /var/run/gammu-smsd.pid --daemon

Start SMSD as a deamon on Linux with reduced privileges:
    gammu-smsd --config /etc/gammu-smsdrc --pid /var/run/gammu-smsd.pid --daemon --user gammu --group gammu

SMSD as a system wide daemon
    To use SMSD as a daemon, you might want to use init script which is shipped with Gammu in contrib/init directory. It is not installed by default, either install it manually or check INSTALL file for instructions.

  Windows Service Examples

Install Gammu SMSD Windows service:
    gammu-smsd.exe -c c:\Gammu\smsdrc -i

Install two instances of SMSD Windows service:
    gammu-smsd.exe -c c:\Gammu\smsdrc-1 -n Gammu-first-phone -i gammu-smsd.exe -c c:\Gammu\smsdrc-2 -n Gammu-second-phone -i

To uninstall a Windows service:
    gammu-smsd.exe -u

  Troubleshooting Windows Service
If Gammu fails to start as a Windows service (you will usually get "Error 1053: The service did not respond to the start or control request in a timely fashion"), first check your SMSD logs. If they do not contain any useful hint, try starting SMSD manually with exactly same parameters as you installed the service (without -i), for example:
    gammu-smsd.exe -c smsdrc You now should be able to get errors from SMSD even if it fails to start as a service.

SEE ALSO
gammu-smsdrc(5), gammu(1), gammu-smsd-inject(1), gammu-smsd-monitor(1) gammu-smsd-files(7), gammu-smsd-mysql(7), gammu-smsd-pgsql(7), gammu-smsd-dbi(7), gammu-smsd-tables(7)

AUTHOR
gammu-smsd and this manual page were written by Michal Cihar <michal@cihar.com>.

COPYRIGHT
Copyright © 2009 Michal Cihar and other authors. License GPLv2: GNU GPL version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
Please report bugs to <http://bugs.cihar.com>. Before reporting a bug, please enable verbose logging in SMSD configuration:
    [smsd]
    debuglevel = 255
    logfile = smsd.log and include this verbose log within bug report.